--- gnome-user-docs-2.30.1/gnome2-user-guide/C/goscustdesk.xml.ori	2010-04-26 15:36:16.000000000 +0100
+++ gnome-user-docs-2.30.1/gnome2-user-guide/C/goscustdesk.xml	2011-07-26 04:17:23.108025970 +0100
@@ -881,10 +881,9 @@
     </sect4>
 -->
   </sect3>
-
-  <sect3 id="prefs-menustoolbars">
-    <title>Interface Preferences</title>
-    <!-- preserve id for backwards compatibility: 2.12 -->
+<!-- 
+<sect3 id="prefs-menustoolbars">
+    <title>Interface Preferences preserve id for backwards compatibility: 2.12</title>
     <anchor id="goscustuserinter-2"/>    
     <indexterm>
       <primary>toolbars, customizing appearance</primary>
@@ -948,7 +947,36 @@
     	</varlistentry>
     </variablelist>
   </sect3>
-  </sect2>
+-->
+<sect3 id="prefs-menustoolbars">
+<title>Visual Effects</title>
+<!-- preserve id for backwards compatibility: 2.12 -->
+<anchor id="goscustuserinter-2"/>  
+<para>The <guilabel>Visual Effects</guilabel> tabbed section of the <application>Appearance</application> preference tool allows you to control the type of animations, translucency and other effects that you see as you interact with windows, menus and workspaces. These effects can enhance the functionality and visual appearance of the desktop. However, some effects require a graphics card that supports hardware acceleration.</para>
+<para>You can choose from three preset levels of visual effects, by selecting the appropriate radio button:</para>
+<itemizedlist>
+	<listitem>
+	<para><guilabel>None</guilabel>: No special visual effects are enabled. This is the default option if your graphics card does not support hardware acceleration. Note that when this option is selected, the <application>Metacity Window Manager</application> is used.</para>
+	</listitem>
+	<listitem>
+	<para><guilabel>Normal</guilabel>: A small selection of visual effects are enabled. This is the default option if your graphics card supports hardware acceleration. Note that when this option is selected, the <application>Compiz Window Manager</application> is used.</para>
+	</listitem>	
+	<listitem>
+	<para><guilabel>Extra</guilabel>: A larger selection of visual effects are enabled. Note that when this option is selected, the <application>Compiz Window Manager</application> is used.</para>
+	</listitem>
+	<listitem>
+	<para><guilabel>Custom</guilabel>: If your graphics card supports hardware acceleration, you can also enable and configure a customized set of visual effects by using the following procedure:</para>
+	<orderedlist>
+	<listitem><para>Select the <guilabel>Custom</guilabel> radio button.</para></listitem>
+	<listitem><para>Click the <guibutton>Preferences</guibutton> button to open the <guilabel>CompizConfig Settings Manager</guilabel> dialog.</para></listitem>
+	<listitem><para>In the <guilabel>CompizConfig Settings Manager</guilabel> dialog, check the boxes beside the effects that you wish to enable, and uncheck the boxes beside the effects that you wish to disable. Click the name of an effect to change its settings.</para></listitem>
+	<listitem><para>Click the <guibutton>Close</guibutton> button in the <guilabel>CompizConfig Settings Manager</guilabel> dialog to save your changes.</para></listitem>
+	</orderedlist>
+	</listitem>
+</itemizedlist>
+ <note><para>While using the <guilabel>Visual Effects</guilabel> tabbed section, if you select an option that your graphics card does not support, a message will appear to that effect and your previous settings will be restored.</para></note>
+</sect3>
+</sect2>
 
   <sect2 id="prefs-windows">
     <title>Windows Preferences</title>
@@ -1112,150 +1140,30 @@
 <sect1 id="prefs-internet-and-network">
 	<title>Internet and Network</title>
 
-  <sect2 id="prefs-network-admin">
- 	<title>Network Settings</title>
-
-    <para>The <application>Network Settings</application> allows you to specify the way your system connects to other computers and to internet.</para>
-    <para>You will be prompted for the administrator password when you start <application>Network Settings</application>. This is because the changes done with this tool will affect the whole system.</para>
-
-  <sect3 id="prefs-network-admin-getting-started">
-    <title>Getting started</title>
-
-
-
-    <para>The <application>Network Settings</application> main window contains four tabbed sections:</para>
-
-    <variablelist>
-	 <varlistentry>
-	   <term><guilabel>Connections</guilabel></term>
-	   <listitem>
-		<para>Shows all network interfaces, it also allows you to modify their settings.</para>
-	   </listitem>
-	 </varlistentry>
-
-	 <varlistentry>
-	   <term><guilabel>General</guilabel></term>
-	   <listitem>
-		<para>Allows you to modify your system host name and domain name.</para>
-	   </listitem>
-	 </varlistentry>
-
-    	 <varlistentry>
-	   <term><guilabel>DNS</guilabel></term>
-	   <listitem>
-		<para>Contains two sections, the <guilabel>DNS servers</guilabel> are what your computer use for resolving the IP addresses from the domain names. The <guilabel>search domains</guilabel> are the default domains in which your system will search any host when no domain is specified.</para>
-	   </listitem>
-	 </varlistentry>
-
-      <varlistentry>
-	   <term><guilabel>Hosts</guilabel></term>
-	   <listitem>
-		<para>Shows the list of aliases for accessing other computers.</para>
-	   </listitem>
-	 </varlistentry>
-    </variablelist>
-  </sect3>
-
-  <sect3 id="prefs-network-admin-usage">
-    <title>Usage</title>
-
-    <sect4 id="tool-modify-connection">
-	 <title>To modify a connection settings</title>
-	 <para>In the <guilabel>Connections</guilabel> section, select the interface you want to modify and press the <guilabel>Properties</guilabel> button, depending on the interface type you will be able to modify different data.</para>
-
-	 <variablelist>
-	   <varlistentry>
-		<term>Ethernet and IRLAN interfaces</term>
-		<listitem>
-		  <para>You can modify the way the interface is configured (DHCP or manually), if the interface is configured manually, you can also modify the interface IP address, netmask and gateway.</para>
-		</listitem>
-	   </varlistentry>
-
-	   <varlistentry>
-		<term>Wireless interfaces</term>
-		<listitem>
-		  <para>You can modify the way the interface is configured (DHCP or manually), if the interface is configured manually, you can also modify the interface IP address, netmask and gateway, you can also modify the network name (ESSID) for this interface.</para>
-		</listitem>
-	   </varlistentry>
-
-	   <varlistentry>
-		<term>Parallel line interfaces</term>
-		<listitem>
-		  <para>You can modify the interface IP address, as well as the remote IP address.</para>
-		</listitem>
-	   </varlistentry>
-
-	   <varlistentry>
-		<term>PPP/Modem interfaces</term>
-		<listitem>
-		  <para>You can modify the modem device, whether you want it to dial using tones or pulses, the modem volume, the phone number, the username and password that your ISP provided and other advanced settings for PPP.</para>
-		</listitem>
-	   </varlistentry>
-	 </variablelist>
-    </sect4>
-
-    <sect4>
-	 <title>To activate or deactivate an interface</title>
-	 <para>In the <guilabel>Connections</guilabel> section, enable or disable the checkbox beside the interface.</para>
-    </sect4>
-    
-    <sect4>
-	 <title>To change your host name and domain name</title>
-	 <para>In the <guilabel>General</guilabel> section, change the hostname or domain name text boxes.</para>
-    </sect4>
+<sect2 id="prefs-network-admin">
 
-    <sect4>
-	 <title>To add a new domain name server</title>
-	 <para>In the <guilabel>DNS Servers</guilabel> section, press the <guilabel>Add</guilabel> button and fill in the new list row with the new domain name server.</para>
-    </sect4>
+<title>Network Preferences</title>
 
-    <sect4>
-	 <title>To delete a domain name server</title>
-	 <para>In the <guilabel>DNS Servers</guilabel> section, select a DNS IP address from the list and press the <guilabel>Delete</guilabel> button.</para>
-    </sect4>
+<para>By default, Oracle Solaris uses a feature called <firstterm>Network Auto-Magic</firstterm> (NWAM) to simplify network configuration. The <application>Network Preferences</application> tool enables you to configure this feature.</para>
 
-    <sect4>
-	 <title>To add a new search domain</title>
-	 <para>In the <guilabel>Search Domains</guilabel> section, press the <guilabel>Add</guilabel> button and fill in the new list row with the new search domain.</para>
-    </sect4>
+<para>The NWAM feature simplifies basic network configuration by automatically configuring and managing your wired and wireless networks. This feature addresses basic Ethernet and wireless configurations and enables you to perform various networking tasks, such as connecting to your wired or wireless network at startup and configuring new wired or wireless networks. The feature also simplifies more complex network configurations, such as system-wide network configuration. In addition, this feature displays informational messages about the current status of your network connection and the overall health of your network.</para>
 
-    <sect4>
-	 <title>To delete a search domain</title>
-	 <para>In the <guilabel>Search Domains</guilabel> section, select a search domain from the list and press the <guilabel>Delete</guilabel> button.</para>
-    </sect4>
+<para>Other feature capabilities include:</para>
 
-    <sect4>
-	 <title>To add a new host alias</title>
-	 <para>In the <guilabel>Hosts</guilabel> section, press the <guilabel>Add</guilabel> button and type an IP address and the aliases that will point to in the window that pops up.</para>
-    </sect4>
+<itemizedlist><listitem><para>Multiple concurrent network connections.</para>
+</listitem>
+<listitem><para>Detection of hot-plug events.</para>
+</listitem>
+<listitem><para>Network modifiers support. For example, virtual private network (VPN) client applications.</para>
+</listitem>
+</itemizedlist>
 
-    <sect4>
-	 <title>To modify a host alias</title>
-	 <para>In the <guilabel>Hosts</guilabel> section, select an alias, press the <guilabel>Properties</guilabel> button from the list and modify the alias settings in the window that pops up.</para>
-    </sect4>
+<para>Network configuration is managed by storing desired property values in the form of profiles. NWAM determines which profile should be active at a given time, depending on the current network conditions, and then activates that profile.</para>
 
-    <sect4>
-	 <title>To delete a host alias</title>
-	 <para>In the <guilabel>Hosts</guilabel> section, select an alias from the list and press the <guilabel>Delete</guilabel> button.</para>
-    </sect4>
-
-    <sect4 id="prefs-network-admin-add-new-profile">
-	 <title>To save your current network configuration as a "Location"</title>
-	 <para>Press the <guilabel>Add</guilabel> button besides the <guilabel>Locations</guilabel> menu, specify the location name in the window that pops up.</para>
-    </sect4>
-
-    <sect4>
-	 <title>To delete a location</title>
-	 <para>Press the <guilabel>Remove</guilabel> button besides the <guilabel>Locations</guilabel> menu, the selected profile will be deleted.</para>
-    </sect4>
+<para>There are two primary profile types: the <emphasis>Network Profile</emphasis>, which specifies the configuration of individual network interfaces, and <emphasis>Locations</emphasis>, which specify system-wide network configuration. The individual components that make up the network profile are referred to as <emphasis>network connections</emphasis>. You can use this feature to configure and manage both types of profiles.</para>
 
-    <sect4>
-	 <title>To switch to a location</title>
-	 <para>Select one location from the <guilabel>Locations</guilabel> menu, all the configuration will be switched automatically to the chosen location.</para>
-    </sect4>
-
-	</sect3>
-  </sect2>
+<para>For more information about using the <application>Network Preferences</application> tool, see the <ulink url="ghelp:nwam-manager">Network Auto-Magic Online Help</ulink>.</para>
+</sect2>
 
   <sect2 id="prefs-networkproxy">
     <title>Network Proxy Preferences</title>
--- gnome-user-docs-2.30.1/gnome2-user-guide/C/goseditmainmenu.xml.ori	2010-04-26 15:36:16.000000000 +0100
+++ gnome-user-docs-2.30.1/gnome2-user-guide/C/goseditmainmenu.xml	2011-07-26 04:17:51.089205447 +0100
@@ -76,9 +76,10 @@
     <indexterm>
       <primary>System Menu</primary>
     </indexterm>
-    <para>The <guimenu>System</guimenu> menu allows you to set your preferences for the GNOME Desktop, get help with using GNOME, and log out or shut down.</para>  
+    <para>The <guimenu>System</guimenu> menu allows you to set your preferences for the GNOME Desktop, perform administrative tasks, get help with using GNOME, and log out or shut down.</para>  
     <itemizedlist>
-      <listitem><para>The <guimenuitem>Control Center</guimenuitem> item contains preference tools to configure your computer. For more information on using these preference tools, see <xref linkend="prefs"/>.</para></listitem>
+      <listitem><para>The <guimenuitem>Preferences</guimenuitem> item contains preference tools to configure your computer. For more information on using these preference tools, see <xref linkend="prefs"/>.</para></listitem>
+<listitem><para>The <guimenuitem>Administration</guimenuitem> item enables you to administer GNOME desktop and perform tasks such as configuring network devices, managing printers, maintain SMF services, and configuring the system to take automatic snapshots. For more information about performing administrative tasks, see <xref linkend="adminmenu"/>.</para></listitem>
       <listitem><para>The <guimenuitem>Help</guimenuitem> item launches the Help Browser.</para></listitem>
       <listitem><para>The <guimenuitem>About GNOME</guimenuitem> item has a brief introduction to GNOME, links to the GNOME website, and credits.</para></listitem>
       <listitem><para>The <guimenuitem>Lock Screen</guimenuitem> command starts your screensaver, and requires your password to return to the desktop. For more on this, see <xref linkend="lock-screen"/>.</para></listitem>
@@ -117,4 +118,44 @@
 
     <note><para>The <ulink type="help" url="ghelp:system-admin-guide?menustructure-0">System Administration Guide</ulink> has more information on how GNOME implements menus and how administrators can customize them.</para></note>
   </section>
+
+<section id="adminmenu">
+<title>Using the Administration Menu</title>
+<!-- New page-->
+<para>The <guisubmenu>Administration</guisubmenu> menu enables you to administer the GNOME Desktop and perform tasks such as configuring network devices, managing printers, maintaining SMF services, and configuring the system to take automatic ZFS snapshots.
+</para>
+
+<para>The <guisubmenu>Administration</guisubmenu> menu has the following menu items:</para>
+<itemizedlist>
+ 	<listitem>
+	<para><guimenuitem>Core Files</guimenuitem>: Configure names, locations, and contents of core files that are generated by the Oracle Solaris.</para>
+	<para>For more information, click the <guibutton>Help</guibutton> button in the <guilabel>Core Files</guilabel> dialog.</para>
+	</listitem>
+ 	<listitem>
+	<para><guimenuitem>Network</guimenuitem>: View and configure network interface properties, connection profiles, locations and network modifiers.</para>
+	<para>For more information, click the <guibutton>Help</guibutton> button in the <guilabel>Network</guilabel> dialog. </para>
+	</listitem>
+ 	<listitem>
+	<para><guimenuitem>Package Manager</guimenuitem>: Search, add, update, and remove software packages by using the Oracle Solaris Image Packaging System. You can also view and edit package publishers and boot environments.</para>
+	<para>For more information, click the <guibutton>Help</guibutton> button in the <guilabel>Packager Manager</guilabel> dialog.</para>
+	</listitem>
+ 	<listitem>
+	<para><guimenuitem>Print Manager</guimenuitem>: Add, remove and configure local and network printers using the CUPS (default) or LP print system.</para>
+	<para>For more information, click the <guibutton>Help</guibutton> button in the <guilabel>Print Manager</guilabel> dialog.</para>
+	</listitem>
+ 	<listitem><para><guimenuitem>SMF Services</guimenuitem>: Monitor, configure, enable and disable Service Management Facility (SMF) services on the local system.</para>
+	<para>For more information, click the <guibutton>Help</guibutton> button in the <guilabel>SMF Services</guilabel> dialog.</para>
+	</listitem>
+ 	<listitem><para><guimenuitem>System Firewall</guimenuitem>: Configure system-wide or service-specific firewall policy setting.</para>
+	<para>For more information, click the <guibutton>Help</guibutton> button in the <guilabel>System Firewall</guilabel> dialog.</para>
+	</listitem>
+ 	<listitem><para><guimenuitem>Time Slider</guimenuitem>: Enable or disable regular snapshots of specified ZFS file systems. When enabled, users can visualize and browse the content of historical snapshots by using file manager.</para></listitem>
+ 	<listitem><para><guimenuitem>Time/Date</guimenuitem>: Set the system clock, or configure it automatically from a time server.</para>
+	<para>For more information, click the <guibutton>Help</guibutton> button in the <guilabel>Time/Date</guilabel> dialog.</para>
+	</listitem>
+	<listitem><para><guimenuitem>Update Manager</guimenuitem>: Check and install available package updates.</para>
+	<para>For more information, click the <guibutton>Help</guibutton> button in the <guilabel>Update Manager</guilabel> dialog.</para>
+	</listitem>
+</itemizedlist>
+</section>
 </chapter>
--- gnome-user-docs-2.30.1/gnome2-user-guide/C/gosfeedback.xml.ori	2010-04-26 15:36:17.000000000 +0100
+++ gnome-user-docs-2.30.1/gnome2-user-guide/C/gosfeedback.xml	2011-07-26 04:17:24.735480980 +0100
@@ -14,15 +14,17 @@
    commands did you enter? which buttons did you click?). If there were any
    error messages, be sure to include them, too.  
       </para> 
+<!-- 
       <para>
 	The easiest way to report bugs is by using <application>Bug Buddy</application>, GNOME's built-in bug reporting tool. This will launch automatically in the event that an application crashes. The details GNOME developers need are automatically collected, but you can further help by giving information about what you were doing when the crash took place.
       </para>
+-->
       <para>
-	You can also submit bugs and browse the list of known bugs by
+	You can submit bugs and browse the list of known bugs by
 	connecting to the <ulink type="http"
 	url="http://bugzilla.gnome.org/">GNOME bug tracking
 	database</ulink>.  You will need to register before you can
-	submit any bugs this way — and do not forget to read
+	submit any bugs this way - and do not forget to read
 	<ulink type="http"
 	url="http://bugzilla.gnome.org/bugwritinghelp.html">Bug
 	Writing Guidelines</ulink>. 
@@ -31,13 +33,11 @@
       <para>
 	Please note that some of GNOME applications are developed outside of GNOME, or by
 	commercial companies (these products are still free
-	software). For example, <application>Inkscape</application>, a
-	vector graphics application, is developed at <ulink type="http"
-	url="http://sourceforge.net/projects/inkscape/">SourceForge</ulink>. Bugs reports and
+	software). For example <application>Pidgin</application>, the instant messenger application, which is developed at <ulink type="http" url="http://www.pidgin.im">pidgin.im</ulink>. Bugs reports and
 	comments about these products should be directed to the
-	respective organization or company. If you are using <application>Bug 
+	respective organization or company. <!--If you are using <application>Bug 
 	Buddy</application>, it will automatically send bug reports to
-	the correct database.
+	the correct database.-->
 	</para>
 
 
--- gnome-user-docs-2.30.1/gnome2-user-guide/C/gospanel.xml.ori	2010-04-26 15:36:17.000000000 +0100
+++ gnome-user-docs-2.30.1/gnome2-user-guide/C/gospanel.xml	2011-07-26 04:17:16.401851008 +0100
@@ -42,8 +42,7 @@
         <secondary>introduction</secondary>
       </indexterm>
       <para>By default, the top edge panel contains the following objects:</para>
-      <note><para>Your distribution of GNOME may have altered this default setup.</para></note>
-           
+                 
       <variablelist>
       	<varlistentry>
       		<term><application>Menu Bar</application> applet</term>
@@ -51,7 +50,7 @@
       	</varlistentry>
       	<varlistentry>
       	  <term>A set of application launcher icons</term>
-          <listitem><para>The exact number of icons depends on your GNOME distribution, but in general you will find at least a launcher for the <application>Web Browser</application>, an <application>Email client</application> and the <application>Help Browser</application>. Click on any launcher icon to open the corresponding application.</para></listitem>
+           <listitem><para>Use icons to launch the <application>File Manager</application>, the <application>Firefox </application> web browser, the <application>Thunderbird</application> mail application, the <application>Package Manager</application>, and the <application>GNOME Terminal</application>.</para></listitem>
         </varlistentry>
       	<varlistentry>
       	  <term><application>Notification Area</application> applet</term>
@@ -71,18 +70,7 @@
       applet</term>
           <listitem><para>The <application>Volume Control</application> enables you to control the volume of the speakers on your system. For more on this, see the <ulink type="help" url="ghelp:gnome-volume-control">Volume Control Manual</ulink>.</para></listitem>
         </varlistentry>
-        <varlistentry>
-          <term>
-          <indexterm>
-            <primary>top edge panel</primary>
-            <secondary>window list icon</secondary>
-          </indexterm>
-          <application>Window Selector</application> icon</term>
-          <listitem><para>The <application>Window Selector</application> lists all of your
-      open windows. To give focus to a window, click on the window selector icon
-      at the extreme right of the top edge panel, then select the window. For more on this, see <xref linkend="windows-focus"/>.</para></listitem>
-        </varlistentry>
-      </variablelist>
+        </variablelist>
     </section>
     <section id="bottom-panel">
       <title>Bottom Edge Panel</title>
@@ -115,7 +103,11 @@
       	<varlistentry>
       		<term><application>Workspace Switcher</application> applet</term>
       		<listitem><para>Enables you to switch between your workspaces. For more on workspaces, see <xref linkend="overview-workspaces"/>.</para></listitem>
-      	</varlistentry>      	
+      	</varlistentry>
+	<varlistentry>
+     		<term><application>Trash</application> applet</term>
+     		<listitem><para>Shows whether you have any deleted files in your Trash. Click the applet to view the contents in the <application>File Manager</application>. To empty the trash, right-click the applet and select <guimenuitem>Empty Trash</guimenuitem>.</para></listitem>
+     	</varlistentry>      	
       </variablelist>
     </section>
   </section>
@@ -1705,9 +1697,7 @@
 	 </listitem>
 	 </varlistentry>
 	 </variablelist>
-
-  </section>
  </section>
-
-  </section>
+ </section>
+ </section>
 </chapter>
--- gnome-user-docs-2.30.1/gnome2-accessibility-guide/C/mobility.xml.ori	2010-04-26 15:37:22.000000000 +0100
+++ gnome-user-docs-2.30.1/gnome2-accessibility-guide/C/mobility.xml	2011-07-26 04:17:30.911942168 +0100
@@ -7,10 +7,12 @@
 The technologies which can assist those with mobility impairments are:
 </para>
 <itemizedlist>
+<!-- gok-removal
 <listitem><para><emphasis>On-Screen Keyboard</emphasis> 
  - lets users select keys using a pointing method such as pointing devices, switches, or Morse-code input systems.
 </para>
 </listitem>
+-->
 <listitem>
 <para>
 <emphasis>Mouse and Keyboard Enhancements
@@ -19,6 +21,7 @@
 </listitem>
 </itemizedlist>
 
+<!-- gok-removal
 <section id="gok">
 <title>GNOME On-Screen Keyboard (gok)</title>
 <indexterm>
@@ -64,6 +67,7 @@
 </para>
 </step>
 </procedure>
+-->
 
 <!--
 <para>
@@ -71,8 +75,10 @@
 <application>On-Screen Keyboard</application> application, see the <ulink type="help" url="ghelp:gok"> Help for <application>On-Screen Keyboard</application></ulink>.
 </para>
 <-->
-</section>
 
+<!-- gok-removal </section> -->
+
+<!-- gok-removal 
 <section id="ats-5">
 <title>Maximizing Application Windows for On-Screen Keyboard Users
 </title>
@@ -106,7 +112,7 @@
 </listitem>
 </orderedlist>
 </section>
-
+-->
 <section id="dtconfig-0">
 <title>Mouse and Keyboard Enhancements</title>
 <para>
@@ -389,14 +395,19 @@
 It offers a way to perform the various clicks without using any hardware button. In this context, the <application>Dwell Click</application> panel applet can be used to choose what click type to perform.
 </para>
 </listitem>
+<!-- Pointer Capture not shipped on Solaris
 <listitem>
 <para>
 It provides the <application>Pointer Capture</application> panel applet. This applet creates an area on the panel into which the pointer can be captured until the user releases it with a predefined button and modifier combination.
 </para>
-</listitem>
+</listitem> -->
 </itemizedlist>
 <para>
-Most mouse-related accessibility options can be found by using <menuchoice><guimenuitem>System</guimenuitem><guimenuitem>Preferences</guimenuitem><guimenuitem>Mouse</guimenuitem></menuchoice> and selecting the <guilabel>Accessibility</guilabel> tab. Two additional panel applets can optionally be added to the GNOME menu bar / system panel as well; see the sections below. The full manual can be viewed by selecting the <guilabel>Help</guilabel> item from the contextual menu of the <application>Dwell Click</application> applet.
+Most mouse-related accessibility options can be found by using <menuchoice><guimenuitem>System</guimenuitem><guimenuitem>Preferences</guimenuitem><guimenuitem>Mouse</guimenuitem></menuchoice> and selecting the <guilabel>Accessibility</guilabel> tab. 
+
+<!-- Applets not shipped on Solaris
+Two additional panel applets can optionally be added to the GNOME menu bar / system panel as well; see the sections below. The full manual can be viewed by selecting the <guilabel>Help</guilabel> item from the contextual menu of the <application>Dwell Click</application> applet.
+-->
 </para>
 
 <!--
@@ -415,13 +426,20 @@
 <section>
 <title>Dwell Click</title>
 <para>
-A click can be issued by having the mouse pointer dwell in a given spot for a specified delay. In this mode, the click-type is determined by the <guilabel>ClickType</guilabel> window, <application>Dwell Click</application> applet, or by the direction in which the user moves the mouse after the dwell time has elapsed. The click-type can be single, double, drag or right.
+A click can be issued by having the mouse pointer dwell in a given spot for a specified delay. In this mode, the click-type is determined by the <guilabel>ClickType</guilabel> window, 
+<!-- Dwell Click applet not shipped on Solaris
+<application>Dwell Click</application> applet, 
+-->
+or by the direction in which the user moves the mouse after the dwell time has elapsed. The click-type can be single, double, drag or right.
 </para>
+
+<!-- Dwell Click applet not shipped on Solaris
 <para>
 The <application>Dwell Click</application> panel applet can be installed by right-clicking the GNOME Desktop menu bar / system panel, selecting <guilabel>Add to Panel</guilabel>, choosing <application>Dwell Click</application> and clicking the <guilabel>Add</guilabel> button.
-</para>
+</para>-->
 </section>
 
+<!-- Pointer Capture not shipped on Solaris
 <section>
 <title>Pointer Capture</title>
 <para>
@@ -447,6 +465,7 @@
 In the <guilabel>Size of Capture Area</guilabel> section, the user can specify the width of the capture area on the GNOME panel.
 </para>
 </section>
+-->
 </section>
 
 <section id="enable-dasher">
@@ -462,18 +481,23 @@
 </step>
 <step>
 <para>
-Enter: <userinput>sudo apt-get install dasher
+Enter: <userinput>sudo pkg install dasher
 </userinput>
 </para>
 </step>
 <step>
 <para>
+Enter your password if prompted.
+</para>
+</step>
+<step>
+<para>
 Enter: <userinput>dasher</userinput>
 </para>
 </step>
 </procedure>
 <para>
-Dasher may also be installed from the <menuchoice><guimenuitem>Applications</guimenuitem><guimenuitem>Add/Remove</guimenuitem></menuchoice> dialog. In either case, it may later be launched in these ways:
+Dasher may also be installed from the <menuchoice><guimenuitem>System</guimenuitem><guimenuitem>Administration</guimenuitem><guimenuitem>Package Manager</guimenuitem></menuchoice> dialog. In either case, it may later be launched in these ways:
 </para>
 <itemizedlist>
 <listitem>
--- gnome-user-docs-2.30.1/gnome2-accessibility-guide/C/low-vision.xml.ori	2010-04-26 15:37:22.000000000 +0100
+++ gnome-user-docs-2.30.1/gnome2-accessibility-guide/C/low-vision.xml	2011-07-26 04:17:48.615139877 +0100
@@ -2784,12 +2784,13 @@
 <title>Braille</title>
 <para>
 <application>Orca</application> uses 
-<ulink url='http://mielke.cc/brltty/'>BrlTTY</ulink> for braille support. On Linux systems, BrlTTY is used to access the text mode console content. On a typical braille-enabled installation of Linux, BrlTTY is already running and providing access to the text consoles. When Orca starts, it connects to BrlTTY. If you switch from a text console to your X Windows session, your braille display will automatically follow and display the content that Orca is presenting to you.
+<ulink url='http://mielke.cc/brltty/'>BrlTTY</ulink> for braille support. On Linux and Solaris systems, BrlTTY is used to access the text mode console content. On a typical braille-enabled installation of Linux or Solaris, BrlTTY is already running and providing access to the text consoles. When Orca starts, it connects to BrlTTY. If you switch from a text console to your X Windows session, your braille display will automatically follow and display the content that Orca is presenting to you.
 </para>
 <para>
 <application>Orca</application> attempts to work with various releases of BrlTTY. Orca currently works best with BrlTTY v3.8 or better and also works well with BrlTTY v3.7.2. The remainder of this document provides information related to using <application>Orca</application> with <application>BrlTTY</application> 3.8.
 </para>
 
+<!-- Commenting out because BrlTTY installed by default on Solaris, and info is Linux-specific anyway
 <para>
 Below are descriptions of the necessary tasks to install/setup BrlTTY in Ubuntu and Solaris. For both, you need to first obtain 
 <ulink url='http://mielke.cc/brltty/releases/
@@ -2809,7 +2810,7 @@
 ]]>
 </screen>
 <para>
-Then, when you build BrlTTY, avoid configuring the package with --prefix=/usr. Use the standard procedure instead, executing the following commands as <userinput>root</userinput>:
+Then, when you build BrlTTY, avoid configuring the package with &ndash;&ndash;prefix=/usr. Use the standard procedure instead, executing the following commands as <userinput>root</userinput>:
 </para>
 <para></para>
 <screen>
@@ -2836,6 +2837,7 @@
 </para>
 <para />
 </section>
+-->
 </section>
 
 <section>
--- gnome-user-docs-2.30.1/gnome2-accessibility-guide/C/accessintro.xml.ori	2010-04-26 15:37:21.000000000 +0100
+++ gnome-user-docs-2.30.1/gnome2-accessibility-guide/C/accessintro.xml	2011-07-26 04:17:06.777075147 +0100
@@ -33,9 +33,9 @@
 <para>
 To have some or all of the screen magnified, see the <link linkend="ats-2">Magnifier</link> section.
 </para>
-<para>
+<!-- gok-removal <para>
 If you prefer a pointing device over the keyboard, you can configure an on-screen keyboard for point-and-click typing; see the <link linkend="gok">GNOME Onscreen Keyboard (gok)</link> section.
-</para>
+</para> -->
 <para>
 If you can only press one key at a time, see the Sticky Keys portion of the <link linkend="dtconfig-14">Configuring an Accessible Keyboard</link> section.
 </para>
--- gnome-user-docs-2.30.1/gnome2-accessibility-guide/C/general.xml.ori	2010-04-26 15:37:22.000000000 +0100
+++ gnome-user-docs-2.30.1/gnome2-accessibility-guide/C/general.xml	2011-07-26 04:17:37.837740632 +0100
@@ -86,11 +86,18 @@
 </para>
 </listitem>
 </itemizedlist>
+
+<!-- Not necessary to point this out, as this version of docs is specifically for Solaris 11
 <note>
 <para>
 Accessible login features are presently 100% functioning for Solaris only.
 </para>
 </note>
+-->
+
+<para>For information on using and configuring the accesibility features of the login screen, see the <ulink type="help" url="ghelp:gdm">GNOME Display Manager Reference Manual</ulink>.</para>
+
+<!-- Outdated GDM removal
 
 <section id="sysadmin-34">
 <title>Enabling Accessible Login</title>
@@ -101,7 +108,7 @@
 In order to use the accessibility support for GNOME, the accessibility infrastructure must be enabled. To enable GNOME accessibility features from the command line, type the following command and then log out:
 </para>
 <para>
-<userinput>gconftool-2 --set "/desktop/gnome/interface/accessibility" --type boolean "True"</userinput>
+<userinput>gconftool-2 &ndash;&ndash;set "/desktop/gnome/interface/accessibility" &ndash;&ndash;type boolean "True"</userinput>
 </para>
 <para>
 To enable GNOME accessibility features from a GUI, run the <menuchoice>
@@ -182,9 +189,7 @@
 </para>
 </note>
 <para>
-This step loads all of the GtkModules to enable assistive technologies such as 
-<application>On-Screen Keyboard</application>
-and <application>Screen Reader and Magnifier
+This step loads all of the GtkModules to enable assistive technologies such as <application>On-Screen Keyboard</application> and <application>Screen Reader and Magnifier
 </application>. You can edit the line above further to load only the GtkModules that you require to support the user base. For example: 
 </para>
 <itemizedlist>
@@ -208,7 +213,7 @@
 <listitem>
 <para>
 <application>On-Screen Keyboard</application> can operate without <literal>gail</literal> and <literal>atk-bridge</literal>, but with a reduced feature set. 
-</para>
+</para> 
 </listitem>
 </itemizedlist>
 <para>
@@ -322,7 +327,6 @@
 </literal>
 </para>
 </section>
-
 <section id="sysadmin-31">
 <title>Starting On-Screen Keyboard Using a Switch or Button Gesture</title>
 <para>
@@ -335,15 +339,15 @@
 switch that is defined as Switch 2 three times within two seconds, for a minimum of 100 milliseconds for each press:
 </para>
 <para>
-<literal>&lt;Switch2&gt;3 100 2000 gok --login --accessmethod=inversescanning
---scan-action=switch1 --select-action=switch2</literal>
+<literal>&lt;Switch2&gt;3 100 2000 gok &ndash;&ndash;login &ndash;&ndash;accessmethod=inversescanning
+&ndash;&ndash;scan-action=switch1 &ndash;&ndash;select-action=switch2</literal>
 </para>
 <para>
 Users who use single switches may prefer to start <application>On-Screen Keyboard</application> in automatic scanning mode. The following line starts <application>On-Screen Keyboard</application> in automatic scanning mode when the user presses the switch on an alternative access device for more than four seconds:
 </para>
 <para>
-<literal>&lt;Switch&gt;1 4000 5000 gok --login --accessmethod=automaticscanning
---scan-action=switch1 --select-action=switch1</literal>
+<literal>&lt;Switch&gt;1 4000 5000 gok &ndash;&ndash;login &ndash;&ndash;accessmethod=automaticscanning
+&ndash;&ndash;scan-action=switch1 &ndash;&ndash;select-action=switch1</literal>
 </para>
 <para>
 For information about the <application>On-Screen Keyboard</application> operating modes, see the online help for <application>On-Screen Keyboard</application>.
@@ -365,15 +369,16 @@
 <application>On-Screen Keyboard</application> in dwell mode when the user moves the on-screen pointer from inside the login dialog through the top edge, back into the dialog through the top edge, out of the dialog through the left edge, back into the dialog through the left edge, and similarly through the bottom and right edges of the dialog in a cross pattern:
 </para>
 <para>
-<literal>TTLLBBRR O 10000 gok --login --access-method=dwellselection
---input-device=MOUSE[3]</literal>
+<literal>TTLLBBRR O 10000 gok &ndash;&ndash;login &ndash;&ndash;access-method=dwellselection
+&ndash;&ndash;input-device=MOUSE[3]</literal>
 </para>
 <para>
-Note that the <literal>--input-device</literal> parameter specified in the gesture must match the name of the extended user input device, such as a head pointer or trackball, as specified in <filename>/etc/X11/XF86Config</filename>.
+Note that the <literal>&ndash;&ndash;input-device</literal> parameter specified in the gesture must match the name of the extended user input device, such as a head pointer or trackball, as specified in <filename>/etc/X11/XF86Config</filename>.
 </para>
 </section>
 </section>
 
+
 <section id="sysadmin-33">
 <title>Additional Requirements for Accessible Login</title>
 <para>
@@ -389,8 +394,11 @@
 </para>
 </note>
 </section>
+-->
 </section>
 
+
+
 <section id="keynav-0">
 <title>Keyboard Desktop Navigation</title>
 <para>