diff -r 85bd337012b2 gnome2-accessibility-guide/de/de.po
--- a/gnome2-accessibility-guide/de/de.po	Tue Aug 09 16:31:34 2011 +0800
+++ b/gnome2-accessibility-guide/de/de.po	Fri Aug 12 18:12:16 2011 +0800
@@ -24603,3 +24603,63 @@
 #~ "Dieses Kapitel erläutert den Einsatz der Eingabehilfen-Funktionen des "
 #~ "Desktops. Sie erfahren, wie die Tastaturzugriffsfunktionen verwendet "
 #~ "werden."
+
+#: mobility.xml:405(para)
+msgid ""
+"Most mouse-related accessibility options can be found by using "
+"<menuchoice><guimenuitem>System</guimenuitem><guimenuitem>Preferences</"
+"guimenuitem><guimenuitem>Mouse</guimenuitem></menuchoice> and selecting the "
+"<guilabel>Accessibility</guilabel> tab."
+msgstr "Die meisten mausbezogenen Barrierefreiheitsoptionen finden Sie, wenn Sie unter <menuchoice><guimenuitem>System</guimenuitem><guimenuitem>Einstellungen</guimenuitem><guimenuitem>Maus</guimenuitem></menuchoice> die Registerkarte <guilabel>Barrierefreiheit</guilabel> wählen."
+
+#: mobility.xml:428(para)
+msgid ""
+"A click can be issued by having the mouse pointer dwell in a given spot for "
+"a specified delay. In this mode, the click-type is determined by the "
+"<guilabel>ClickType</guilabel> window, or by the direction in which the user "
+"moves the mouse after the dwell time has elapsed. The click-type can be "
+"single, double, drag or right."
+msgstr "Ein Klick kann ausgelöst werden, wenn der Mauszeiger auf einer bestimmten Stelle eine bestimmte Zeit lang ruht. In diesem Modus wird der Klicktyp im Fenster <guilabel>Klicktyp</guilabel> oder durch die Richtung festgelegt, in die die Maus vom Benutzer nach Ablauf dieser Verzögerungszeit bewegt wird. Zu den Klicktypen gehören Einfacher Klick, Doppelklick, Mitziehklick und Kontextklick."
+
+#: mobility.xml:483(para)
+msgid ""
+"Enter: <userinput>sudo pkg install dasher\n"
+"</userinput>"
+msgstr "Geben Sie Folgendes ein: <userinput>sudo pkg install dasher\n</userinput>"
+
+#: mobility.xml:489(para)
+msgid "Enter your password if prompted."
+msgstr "Geben Sie bei Aufforderung Ihr Passwort ein."
+
+#: mobility.xml:499(para)
+msgid ""
+"Dasher may also be installed from the <menuchoice><guimenuitem>System</"
+"guimenuitem><guimenuitem>Administration</guimenuitem><guimenuitem>Package "
+"Manager</guimenuitem></menuchoice> dialog. In either case, it may later be "
+"launched in these ways:"
+msgstr "Dasher kann ebenfalls im Dialogfeld <guimenuitem>Package Manager</guimenuitem> unter <menuchoice><guimenuitem>System</guimenuitem><guimenuitem>Verwaltung</guimenuitem></menuchoice> installiert und folgendermaßen gestartet werden:"
+
+#: low-vision.xml:2785(para)
+msgid ""
+"<application>Orca</application> uses <ulink url=\"http://mielke.cc/brltty/"
+"\">BrlTTY</ulink> for braille support. On Linux and Solaris systems, BrlTTY "
+"is used to access the text mode console content. On a typical braille-"
+"enabled installation of Linux or Solaris, BrlTTY is already running and "
+"providing access to the text consoles. When Orca starts, it connects to "
+"BrlTTY. If you switch from a text console to your X Windows session, your "
+"braille display will automatically follow and display the content that Orca "
+"is presenting to you."
+msgstr "<application>Orca</application> verwendet <ulink url=\"http://mielke.cc/brltty/\">BrlTTY</ulink> als Braille-Unterstützung. BrlTTY wird unter Linux und Solaris verwendet, um auf Textmodus-Konsoleninhalte zuzugreifen. Auf einer typischen Linux- oder Solaris-Installation mit Braille-Unterstützung wird BrlTTY bereits ausgeführt und bietet Zugriff auf die Textkonsolen. Beim Start von Orca wird eine Verbindung zu BrlTTY hergestellt. Wenn Sie von einer Textkonsole zu Ihrer X Windows-Sitzung wechseln, folgt das Braille-Display automatisch und zeigt den von Orca gezeigten Inhalt an."
+
+#. Not necessary to point this out, as this version of docs is specifically for Solaris 11
+#. <note>
+#. <para>
+#. Accessible login features are presently 100% functioning for Solaris only.
+#. </para>
+#. </note>
+#: general.xml:98(para)
+msgid ""
+"For information on using and configuring the accesibility features of the "
+"login screen, see the <ulink type=\"help\" url=\"ghelp:gdm\">GNOME Display "
+"Manager Reference Manual</ulink>."
+msgstr "Informationen zur Verwendung und Konfiguration der Barrierefreiheitsfunktionen des Anmeldebildschirms finden Sie unter <ulink type=\"help\" url=\"ghelp:gdm\">Referenzhandbuch zum GNOME Display Manager</ulink>."
diff -r 85bd337012b2 gnome2-accessibility-guide/es/es.po
--- a/gnome2-accessibility-guide/es/es.po	Tue Aug 09 16:31:34 2011 +0800
+++ b/gnome2-accessibility-guide/es/es.po	Fri Aug 12 18:12:16 2011 +0800
@@ -11051,3 +11051,63 @@
 
 #~ msgid "<keycap>-</keycap> (minus)"
 #~ msgstr "<keycap>-</keycap> (menos)"
+
+#: mobility.xml:405(para)
+msgid ""
+"Most mouse-related accessibility options can be found by using "
+"<menuchoice><guimenuitem>System</guimenuitem><guimenuitem>Preferences</"
+"guimenuitem><guimenuitem>Mouse</guimenuitem></menuchoice> and selecting the "
+"<guilabel>Accessibility</guilabel> tab."
+msgstr "La mayoría de las opciones de accesibilidad relacionadas con el mouse se pueden encontrar mediante <menuchoice><guimenuitem>Sistema</guimenuitem><guimenuitem>Preferencias</guimenuitem><guimenuitem>Mouse</guimenuitem></menuchoice>, seleccionando la ficha <guilabel>Accesibilidad</guilabel>."
+
+#: mobility.xml:428(para)
+msgid ""
+"A click can be issued by having the mouse pointer dwell in a given spot for "
+"a specified delay. In this mode, the click-type is determined by the "
+"<guilabel>ClickType</guilabel> window, or by the direction in which the user "
+"moves the mouse after the dwell time has elapsed. The click-type can be "
+"single, double, drag or right."
+msgstr "Se puede enviar un clic manteniendo el puntero del mouse detenido en un lugar determinado por un tiempo específico. En este modo, el tipo de clic se determina mediante la ventana <guilabel>Tipo de clic</guilabel> o mediante la dirección en la que el usuario mueve el mouse una vez que ha transcurrido el tiempo de parada. El tipo de clic puede ser simple, doble, de arrastre o derecho."
+
+#: mobility.xml:483(para)
+msgid ""
+"Enter: <userinput>sudo pkg install dasher\n"
+"</userinput>"
+msgstr "Introduzca: <userinput>sudo pkg install dasher\n</userinput>"
+
+#: mobility.xml:489(para)
+msgid "Enter your password if prompted."
+msgstr "Introduzca la contraseña, si se le solicita."
+
+#: mobility.xml:499(para)
+msgid ""
+"Dasher may also be installed from the <menuchoice><guimenuitem>System</"
+"guimenuitem><guimenuitem>Administration</guimenuitem><guimenuitem>Package "
+"Manager</guimenuitem></menuchoice> dialog. In either case, it may later be "
+"launched in these ways:"
+msgstr "Dasher también se puede instalar desde el cuadro de diálogo <menuchoice><guimenuitem>Sistema</guimenuitem><guimenuitem>Administración</guimenuitem><guimenuitem>Package Manager</guimenuitem></menuchoice>. De todas formas, posteriormente se podrá iniciar de las siguientes maneras:"
+
+#: low-vision.xml:2785(para)
+msgid ""
+"<application>Orca</application> uses <ulink url=\"http://mielke.cc/brltty/"
+"\">BrlTTY</ulink> for braille support. On Linux and Solaris systems, BrlTTY "
+"is used to access the text mode console content. On a typical braille-"
+"enabled installation of Linux or Solaris, BrlTTY is already running and "
+"providing access to the text consoles. When Orca starts, it connects to "
+"BrlTTY. If you switch from a text console to your X Windows session, your "
+"braille display will automatically follow and display the content that Orca "
+"is presenting to you."
+msgstr "<application>Orca</application> utiliza <ulink url=\"http://mielke.cc/brltty/\">BrlTTY</ulink> para la compatibilidad con el sistema braille. En los sistemas Linux y Solaris, BrlTTY se utiliza para acceder al contenido de la consola de modo de texto. En una instalación típica de Linux o Solaris con braille habilitado, BrlTTY está en ejecución y proporciona acceso a las consolas de texto. Cuando Orca se inicia, se conecta a BrlTTY. Si pasa de una consola de texto a una sesión de X Windows, aparecerá automáticamente la pantalla braille y le mostrará el contenido que está presentando Orca."
+
+#. Not necessary to point this out, as this version of docs is specifically for Solaris 11
+#. <note>
+#. <para>
+#. Accessible login features are presently 100% functioning for Solaris only.
+#. </para>
+#. </note>
+#: general.xml:98(para)
+msgid ""
+"For information on using and configuring the accesibility features of the "
+"login screen, see the <ulink type=\"help\" url=\"ghelp:gdm\">GNOME Display "
+"Manager Reference Manual</ulink>."
+msgstr "Para obtener más información sobre el uso y la configuración de las funciones de accesibilidad de la pantalla de inicio de sesión, consulte el <ulink type=\"help\" url=\"ghelp:gdm\">Manual de referencia de GNOME Display Manager</ulink>."
diff -r 85bd337012b2 gnome2-accessibility-guide/fr/fr.po
--- a/gnome2-accessibility-guide/fr/fr.po	Tue Aug 09 16:31:34 2011 +0800
+++ b/gnome2-accessibility-guide/fr/fr.po	Fri Aug 12 18:12:16 2011 +0800
@@ -10259,3 +10259,63 @@
 "Claude Paroz <claude@2xlibre.net>, 2006-2009\n"
 "Bruno Brouard <annoa.b@gmail.com> 2008\n"
 "Laurent Coudeur <laurentc@iol.ie> 2009"
+
+#: mobility.xml:405(para)
+msgid ""
+"Most mouse-related accessibility options can be found by using "
+"<menuchoice><guimenuitem>System</guimenuitem><guimenuitem>Preferences</"
+"guimenuitem><guimenuitem>Mouse</guimenuitem></menuchoice> and selecting the "
+"<guilabel>Accessibility</guilabel> tab."
+msgstr "La plupart des options d'accessibilité relatives à la souris sont accessibles en choisissant <menuchoice><guimenuitem>Système</guimenuitem><guimenuitem>Préférences</guimenuitem><guimenuitem>Souris</guimenuitem></menuchoice> et en sélectionnant l'onglet <guilabel>Accessibilité</guilabel>. "
+
+#: mobility.xml:428(para)
+msgid ""
+"A click can be issued by having the mouse pointer dwell in a given spot for "
+"a specified delay. In this mode, the click-type is determined by the "
+"<guilabel>ClickType</guilabel> window, or by the direction in which the user "
+"moves the mouse after the dwell time has elapsed. The click-type can be "
+"single, double, drag or right."
+msgstr "Un clic peut être déclenché en immobilisant la souris à un endroit donné pendant un délai spécifié. Dans ce mode, le type de clic est déterminé par la fenêtre <guilabel>Type de clic</guilabel> ou par la direction dans laquelle l'utilisateur déplace la souris après l'écoulement du délai d'immobilisation. Le type de clic peut être simple, double, glissement ou droite. "
+
+#: mobility.xml:483(para)
+msgid ""
+"Enter: <userinput>sudo pkg install dasher\n"
+"</userinput>"
+msgstr "Entrez : <userinput>sudo pkg install dasher\n</userinput>"
+
+#: mobility.xml:489(para)
+msgid "Enter your password if prompted."
+msgstr "Entrez votre mot de passe si vous y êtes invité. "
+
+#: mobility.xml:499(para)
+msgid ""
+"Dasher may also be installed from the <menuchoice><guimenuitem>System</"
+"guimenuitem><guimenuitem>Administration</guimenuitem><guimenuitem>Package "
+"Manager</guimenuitem></menuchoice> dialog. In either case, it may later be "
+"launched in these ways:"
+msgstr "Dasher peut également être installé à partir de la boîte de dialogue <menuchoice><guimenuitem>Système</guimenuitem><guimenuitem>Administration</guimenuitem><guimenuitem>Gestionnaire de packages</guimenuitem></menuchoice>. Dans l'un ou l'autre cas, il peut être lancé en procédant de l'une des manières suivantes : "
+
+#: low-vision.xml:2785(para)
+msgid ""
+"<application>Orca</application> uses <ulink url=\"http://mielke.cc/brltty/"
+"\">BrlTTY</ulink> for braille support. On Linux and Solaris systems, BrlTTY "
+"is used to access the text mode console content. On a typical braille-"
+"enabled installation of Linux or Solaris, BrlTTY is already running and "
+"providing access to the text consoles. When Orca starts, it connects to "
+"BrlTTY. If you switch from a text console to your X Windows session, your "
+"braille display will automatically follow and display the content that Orca "
+"is presenting to you."
+msgstr "<Application>Orca</application> utilise <ulink url=\"http://mielke.cc/brltty/\">BrlTTY</ulink> pour la prise en charge du braille. Sous Linux et Solaris, BrlTTY est utilisé pour accéder au contenu de la console en mode texte. Sur une installation standard de Linux ou Solaris sur laquelle le braille est activé, BrlTTY est déjà en cours d'exécution et donne accès aux consoles de texte. Lorsque l'application Orca démarre, elle se connecte à BrlTTY. Si vous passez d'une console de texte à une session Windows X, l'affichage en braille suit automatiquement et affiche le contenu qu'Orca vous présente. "
+
+#. Not necessary to point this out, as this version of docs is specifically for Solaris 11
+#. <note>
+#. <para>
+#. Accessible login features are presently 100% functioning for Solaris only.
+#. </para>
+#. </note>
+#: general.xml:98(para)
+msgid ""
+"For information on using and configuring the accesibility features of the "
+"login screen, see the <ulink type=\"help\" url=\"ghelp:gdm\">GNOME Display "
+"Manager Reference Manual</ulink>."
+msgstr "Pour plus d'informations sur l'utilisation et la configuration des fonctionnalités d'accessibilité de l'écran de connexion, reportez-vous au guide <ulink type=\"help\" url=\"ghelp:gdm\">GNOME Display Manager Reference Manual</ulink> (Manuel de référence du Gestionnaire d'affichage GNOME).  "
diff -r 85bd337012b2 gnome2-accessibility-guide/zh_CN/zh_CN.po
--- a/gnome2-accessibility-guide/zh_CN/zh_CN.po	Tue Aug 09 16:31:34 2011 +0800
+++ b/gnome2-accessibility-guide/zh_CN/zh_CN.po	Fri Aug 12 18:12:16 2011 +0800
@@ -7107,3 +7107,62 @@
 #~ "粘滞键特性被启用，<keycap>Super</keycap>/<keycap>Windows 徽标</keycap> 键"
 #~ "被锁住。"
 
+#: mobility.xml:405(para)
+msgid ""
+"Most mouse-related accessibility options can be found by using "
+"<menuchoice><guimenuitem>System</guimenuitem><guimenuitem>Preferences</"
+"guimenuitem><guimenuitem>Mouse</guimenuitem></menuchoice> and selecting the "
+"<guilabel>Accessibility</guilabel> tab."
+msgstr "通过使用<menuchoice><guimenuitem>系统</guimenuitem><guimenuitem>首选项</guimenuitem><guimenuitem>鼠标</guimenuitem></menuchoice>，然后选择<guilabel>辅助</guilabel>选项卡，可以找到大部分与鼠标相关的辅助选项。"
+
+#: mobility.xml:428(para)
+msgid ""
+"A click can be issued by having the mouse pointer dwell in a given spot for "
+"a specified delay. In this mode, the click-type is determined by the "
+"<guilabel>ClickType</guilabel> window, or by the direction in which the user "
+"moves the mouse after the dwell time has elapsed. The click-type can be "
+"single, double, drag or right."
+msgstr "通过使鼠标指针在指定点上悬停指定的延迟时间，可以发出一次点击。在此模式中，点击类型由<guilabel>点击类型</guilabel>窗口决定，或者由悬停时间过后用户移动鼠标的方向决定。点击类型可以为单击、双击、拖动或右键单击。"
+
+#: mobility.xml:483(para)
+msgid ""
+"Enter: <userinput>sudo pkg install dasher\n"
+"</userinput>"
+msgstr "输入：<userinput>sudo pkg install dasher\n</userinput>"
+
+#: mobility.xml:489(para)
+msgid "Enter your password if prompted."
+msgstr "如果出现提示，请输入您的口令。"
+
+#: mobility.xml:499(para)
+msgid ""
+"Dasher may also be installed from the <menuchoice><guimenuitem>System</"
+"guimenuitem><guimenuitem>Administration</guimenuitem><guimenuitem>Package "
+"Manager</guimenuitem></menuchoice> dialog. In either case, it may later be "
+"launched in these ways:"
+msgstr "也可以从<menuchoice><guimenuitem>系统</guimenuitem><guimenuitem>管理</guimenuitem><guimenuitem>软件包管理器</guimenuitem></menuchoice>对话框中安装 Dasher。在任何一种情况下，稍后它都能通过以下方法启动："
+
+#: low-vision.xml:2785(para)
+msgid ""
+"<application>Orca</application> uses <ulink url=\"http://mielke.cc/brltty/"
+"\">BrlTTY</ulink> for braille support. On Linux and Solaris systems, BrlTTY "
+"is used to access the text mode console content. On a typical braille-"
+"enabled installation of Linux or Solaris, BrlTTY is already running and "
+"providing access to the text consoles. When Orca starts, it connects to "
+"BrlTTY. If you switch from a text console to your X Windows session, your "
+"braille display will automatically follow and display the content that Orca "
+"is presenting to you."
+msgstr "<application>Orca</application> 使用 <ulink url=\"http://mielke.cc/brltty/\">BrlTTY</ulink> 获取盲文支持。在 Linux 和 Solaris 系统上，BrlTTY 用于访问文本模式控制台内容。在典型的启用盲文的 Linux 或 Solaris 安装上，BrlTTY 已经运行，并提供对文本控制台的访问权限。Orca 启动时，它将与 BrlTTY 连接。如果从文本控制台切换到 X Windows 会话，您的盲文显示器将自动跟随并显示 Orca 向您提供的内容。"
+
+#. Not necessary to point this out, as this version of docs is specifically for Solaris 11
+#. <note>
+#. <para>
+#. Accessible login features are presently 100% functioning for Solaris only.
+#. </para>
+#. </note>
+#: general.xml:98(para)
+msgid ""
+"For information on using and configuring the accesibility features of the "
+"login screen, see the <ulink type=\"help\" url=\"ghelp:gdm\">GNOME Display "
+"Manager Reference Manual</ulink>."
+msgstr "有关使用和配置登录屏幕的可访问性功能的信息，请参见 <ulink type=\"help\" url=\"ghelp:gdm\">GNOME Display Manager 参考手册</ulink>。"