/jds/bin/diff -uprN gnome-utils-2.25.90.old/logview/data/gnome-system-log.1 gnome-utils-2.25.90/logview/data/gnome-system-log.1
--- gnome-utils-2.25.90.old/logview/data/gnome-system-log.1	2009-02-10 16:55:36.147962000 +0000
+++ gnome-utils-2.25.90/logview/data/gnome-system-log.1	2009-02-10 17:01:01.284029000 +0000
@@ -1,6 +1,7 @@
 .\" gnome-system-log.1 - GNOME logfile viewer
 .\" Copyright 2001  Jochen Voss
-.TH gnome-system-log 1 "Aug 09 2002" "gnome-utils 2.0.0"
+'\" te
+.TH gnome-system-log 1 "Aug 09 2002" "gnome-utils 2.26.0"
 .SH NAME
 gnome-system-log \- the GNOME System Log Viewer
 .SH SYNOPSIS
@@ -19,10 +20,76 @@ The
 .B GNOME System Log Viewer
 was written by Cesar Miquel <miquel@df.uba.ar>.
 .PP
+.B GNOME System Log Viewer Plugin Interface
+was written by Lin Ma <lin.ma@sun.com>.
+.PP
 This manual page was written by Jochen Voss
 <voss@mathematik.uni-kl.de>.
+.TP
+.B I/O (LogviewIFaceIO)
+This defines the main input interface. This is used by Log Viewer to
+read a logs content into memory, whether the logs source is text or
+binary, the data returned here should be text - most likely in the
+current locale. It also provides methods to allow the main application
+to get other information about the log such as whether the log has
+changed.
+
+It's the reposibility of the plugin to maintain information about the
+log file(s) such as the current location in the file, the size of the
+file, etc.
+.TP
+.B Views (LogviewIFaceView)
+This interface defines a mechanism to enable the formatting of log
+data, dividing it into lines. The current implementation defines how to
+group lines by date and the conversion of the log from the current
+locale to UTF-8.
+.TP
+.B Collectors (LogviewIFaceCollector)
+This interface is used to gather the list of logs. New types of logs
+may be added using this interface.
+.RE
+
+For the detail information, please see /usr/share/gtk-doc/html/logview/index.html.
+.TP
+.B Plugin Priority
+A priority list is maintained for each category of plugin - this defines
+the order in which plugins will be used - higher priority plugins override
+lower priority plugins. Priorities are categorised as:
+
+.br
+Priority 0-9: Used by the delivered default plugins
+.br
+Priority 10+: End Users plugins. 
+.TP
+.B Plugin Search Path
+Log Viewer will search in the following directories for plugins:
+
+.br
+$HOME/.gnome2/gnome-system-log/plugins/`uname -p`
+.br
+/lib/gnome-system-log/plugins
+.TP
+.B Plugin Security
+Both libgrablogs and libpipelog only recognize the configure file which has the
+same owner ship to the user, otherwise they will back to the system default
+ones. In Solaris, they will use a fork/exec/pfsh to run the commands within the
+configure files; in Linux, they will use popen(3).
+.TP
+.B Default Plugins
+Three plugins are available for the end-users. They are libgrablogs.so,
+libplainlog.so and libpipelog.so.
 .SH FILES
 .TP
+.I /usr/lib/gnome-system-log/plugins/libgrablogs.so
+A default plugin - collecting some log files from system. See grablogs.conf (4).
+.TP
+.I /usr/lib/gnome-system-log/plugins/libplainlog.so
+A default plugin - view ASCII log files.
+.TP
+.I /usr/lib/gnome-system-log/plugins/libpipelog.so
+A default plugin - has a higher priority than libplainlog.so, view the output 
+of a command. See pipelog.conf (4).
+.TP
 .I /var/log/messages
 The system's main logfile.
 .TP
@@ -30,8 +97,27 @@ The system's main logfile.
 Configuration file for syslogd.  See
 .BR syslog.conf (5)
 for exact information.
+.RE
+
+.SH ATTRIBUTES
+.sp
+.PP
+See \fBattributes\fR(5) for descriptions of the following attributes:
+
+.TS
+tab(^G) allbox;
+cw(2.750000i)| cw(2.750000i)
+lw(2.750000i)| lw(2.750000i).
+ATTRIBUTE TYPE^ATTRIBUTE VALUE
+Availability^SUNWgnome-log-viewer
+Interface stability^GVolatile
+.TE
+
 .SH SEE ALSO
 .BR syslogd (8),
 .BR sysklogd (8),
 .BR syslog.conf (5),
-.BR syslogd-listfiles (8)
+.BR syslogd-listfiles (8),
+.BR grablogs.conf (4),
+.BRE pipelog.conf (4)
+.\" LSARC 2006/325 Gnome System Log Viewer
/jds/bin/diff -uprN gnome-utils-2.25.90.old/logview/data/grablogs.conf.4 gnome-utils-2.25.90/logview/data/grablogs.conf.4
--- gnome-utils-2.25.90.old/logview/data/grablogs.conf.4	1970-01-01 01:00:00.000000000 +0100
+++ gnome-utils-2.25.90/logview/data/grablogs.conf.4	2009-02-10 17:02:03.311007000 +0000
@@ -0,0 +1,79 @@
+'\" te
+.\" gnome-system-log.1 - GNOME logfile viewer
+.\" Copyright 1989 AT
+.\"|[amp   ]
+.\"|T
+.\" Copyright 2006 Lin Ma
+.TH grablogs.conf 4 "13 Oct 2006" "gnome-utils 2.16.0" "File Formats"
+.SH "NAME"
+grablogs.conf \- grablogs configuration for libgrablogs.so of the plugins of
+ gnome-system-log
+file
+.SH "SYNOPSIS"
+.PP
+.nf
+/usr/lib/gnome-system-log/plugins/grablogs.conf
+.fi
+.SH "DESCRIPTION"
+.PP
+The libgrablogs.so is a plugin for gnome-system-log(1), it colloct the log 
+files from the system as many as possible. grablogs.conf is a configuration 
+file that contains a set of lines mixed with sh(1) syntax codes and individual
+ log files. libgrablogs.so will read the file try to get a log files list for
+ gnome-system-log(1). Users can copy the file into $HOME/.gnome2/gnome-system-log/plugins/`uname -p` to overwrite the system default one.
+.PP
+The grablogs.conf file contains the following configuration categories:
+.RS
+.TP
+.B [configs]
+Each line under this category is interpreted as a config file of
+System. The plugin will open the config file and try to find all
+system paths of the logs.
+.TP
+.B [commands]
+Each line under this category is interpreted as a shell command and
+will be execute through a pipe. And each line of the output of the
+command will be interpreted as a log path.
+.TP
+.B [logs]
+Each line under this category is interpreted as a log path.
+.RE
+.SH "FILES"
+.TP
+.I /usr/lib/gnome-system-log/plugins/grablogs.conf
+The system default configuration file for the plugin libgrablogs.so
+.TP
+.I "$HOME/.gnome2/gnome\-system\-log/plugins/`uname \-p`/grablogs.conf"
+The user specific configuration file for the plugin libgrablogs.so
+.SH "EMAMPLE"
+.br
+.B [configs]
+.br
+.IR /etc/syslog.conf
+.br
+.B [commands]
+.br
+.IR "for i in `svcs -aH -o FMRI | grep -v lrc `; do svcprop -p restarter/logfile $i 2>/dev/null || svcprop -q -p restarter/alt_logfile $i 2>/dev/null ; done"
+.br
+.B [logs]
+.br
+.IR /var/log/messages
+.br
+.IR /var/log/secure
+.br
+.IR /var/log/maillog
+.br
+.IR /var/log/cron
+.br
+.IR /var/log/Xorg.0.log
+.br
+.IR /var/log/XFree86.0.log
+.br
+.IR /var/log/auth.log
+.br
+.IR /var/log/cups/error_log
+.SH "SEE ALSO"
+.PP
+.BR gnome-system-log (1),
+.BR pipelog.conf (1)
+.PP
/jds/bin/diff -uprN gnome-utils-2.25.90.old/logview/data/pipelog.conf.4 gnome-utils-2.25.90/logview/data/pipelog.conf.4
--- gnome-utils-2.25.90.old/logview/data/pipelog.conf.4	1970-01-01 01:00:00.000000000 +0100
+++ gnome-utils-2.25.90/logview/data/pipelog.conf.4	2009-02-10 17:02:51.656120000 +0000
@@ -0,0 +1,49 @@
+'\" te
+.\" gnome-system-log.1 - GNOME logfile viewer
+.\" Copyright 1989 AT
+.\"|[amp   ]
+.\"|T
+.\" Copyright 2006 Lin Ma
+.TH pipelog.conf 4 "13 Oct 2006" "gnome-utils 2.16.0" "File Formats"
+.SH "NAME"
+pipelog.conf \- pipelog configuration for libpipelog.so of the plugins of 
+gnome-system-log
+file
+.SH "SYNOPSIS"
+.PP
+.nf
+/usr/lib/gnome-system-log/plugins/pipelog.conf
+.fi
+.SH "DESCRIPTION"
+.PP
+The libpipelog.so is a plugin for gnome-system-log(1), it runs commands through
+ pipes and get the output of the individual pipe as a log content. Users can
+ copy the file into $HOME/.gnome2/gnome-system-log/plugins/`uname -p` to
+ overwrite the system default one.
+.PP
+The syntax of pipelog.conf file is:
+.br
+.RS .5i
+<log path><whitespace><command>
+
+.RE
+<command> may be a simple program name (which will be found in $PATH)
+or an absolute path of a binary with arguments list. "%s" can be included in
+<command> zero or one time, will be replaced by <log path> in runtime.
+.SH "FILES"
+.TP
+.I /usr/lib/gnome-system-log/plugins/pipelog.conf
+The system default configuration file for the plugin libpipelog.so
+.TP
+.I "$HOME/.gnome2/gnome\-system\-log/plugins/`uname \-p`/pipelog.conf"
+The user specific configuration file for the plugin libpipelog.so
+.SH "EMAMPLE"
+.IR "/var/adm/wtmpx  last"
+.br
+.IR "/var/adm/utmpx  /bin/last -f %s"
+.SH "SEE ALSO"
+.PP
+.BR gnome-system-log (1),
+.BR grablogs.conf (4)
+.PP
+.\" LSARC 2006/325 Gnome System Log Viewer